/// Available materials for NSVisualEffectViews.
enum NSVisualEffectViewMaterial {
  /// The material for a window’s titlebar.
  titlebar,

  /// The material used to indicate a selection.
  selection,

  /// The material for menus.
  menu,

  /// The material for the background of popover windows.
  popover,

  /// The material for the background of window sidebars.
  sidebar,

  /// The material for in-line header or footer views.
  headerView,

  /// The material for the background of sheet windows.
  sheet,

  /// The material for the background of opaque windows.
  windowBackground,

  /// The material for the background of heads-up display (HUD) windows.
  hudWindow,

  /// The material for the background of a full-screen modal interface.
  fullScreenUI,

  /// The material for the background of a tool tip.
  toolTip,

  /// The material for the background of opaque content.
  contentBackground,

  /// The material to show under a window's background.
  underWindowBackground,

  /// The material for the area behind the pages of a document.
  underPageBackground,
}
